import org.kde.qt.*;
import org.kde.koala.*;

/**
 *
 * Taken from test program of the kdeui tests
 **/
public class KCharSelectTest {


   public static void main (String[] args) {

      KCmdLineArgs.init(args, "kcharselecttest", "KCharSelectTest", 
                              "A KCharSelect test app", "0.1");
      KApplication app = new KApplication();
      KCharSelect selector = new KCharSelect(null,"char selector");
      selector.resize( selector.sizeHint() );
      app.setMainWidget(selector);
      selector.show();
      selector.setCaption( "KCharSelect Test");
      app.exec();
      return;

   }

   static {
      qtjava.initialize();
      kdejava.initialize();
   }

}
